Wallets, tokens & networks

Get Anchorage Wallet Report

Fetches all org wallets and asset balances from the Anchorage Digital API.

GEThttps://api.toku.com/tga/get-anchorage-wallet-report

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-anchorage-wallet-report' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "walletID": "string",
    "walletName": "string",
    "walletAddress": "string",
    "vaultID": "string",
    "vaultName": "string",
    "networkId": "string",
    "isArchived": true,
    "isDefault": true,
    "assets": [
      {
        "assetType": "string",
        "availableBalance": {
          "quantity": "string",
          "currentUSDValue": "string"
        },
        "totalBalance": {
          "quantity": "string",
          "currentUSDValue": "string"
        }
      }
    ]
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
walletIDstringrequired
walletNamestringrequired
walletAddressstringrequired
vaultIDstringrequired
vaultNamestringrequired
networkIdstringrequired
isArchivedbooleanrequired
isDefaultbooleanrequired
assetsobject[]required
Show child attributes
assetTypestringrequired
availableBalanceobject | nullrequired
Show child attributes
quantitystringrequired
currentUSDValuestringrequired
totalBalanceobject | nullrequired
Show child attributes
quantitystringrequired
currentUSDValuestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits